Loading...
Searching...
No Matches
pappso::spectree::SpecXtractInterface Class Referenceabstract

yield similarities between pairs of ItemCart More...

`#include <specxtractinterface.h>`

Inheritance diagram for pappso::spectree::SpecXtractInterface:

## Public Member Functions

| SpecXtractInterface ()
virtual | ~SpecXtractInterface ()
virtual void | beginItemCartExtraction (std::size_t cart_id_a)
virtual void | reportSimilarity (std::size_t cart_id_a, std::size_t cart_id_b, std::size_t similarity)=0
virtual void | endItemCartExtraction (std::size_t cart_id_a)

## Detailed Description

yield similarities between pairs of ItemCart

The best thing is to implement this interface to process similarity at the time of the spectree extraction

Definition at line 52 of file specxtractinterface.h.

## Constructor & Destructor Documentation

## SpecXtractInterface()

pappso::spectree::SpecXtractInterface::SpecXtractInterface | ( |  | ) |

Default constructor

Definition at line 45 of file specxtractinterface.cpp.

{
}

## ~SpecXtractInterface()

pappso::spectree::SpecXtractInterface::~SpecXtractInterface | ( |  | ) |

virtual

Destructor

Definition at line 49 of file specxtractinterface.cpp.

{
}

## Member Function Documentation

## beginItemCartExtraction()

void pappso::spectree::SpecXtractInterface::beginItemCartExtraction | ( | std::size_t | cart_id_a | ) |

virtual

Definition at line 58 of file specxtractinterface.cpp.

{
}

Referenced by pappso::spectree::SpecTree::xtract().

## endItemCartExtraction()

void pappso::spectree::SpecXtractInterface::endItemCartExtraction | ( | std::size_t | cart_id_a | ) |

virtual

Definition at line 54 of file specxtractinterface.cpp.

{
}

Referenced by reportSimilarity(), and pappso::spectree::SpecTree::xtract().

## reportSimilarity()

virtual void pappso::spectree::SpecXtractInterface::reportSimilarity | ( | std::size_t | cart_id_a,
|  | std::size_t | cart_id_b,
|  | std::size_t | similarity )

pure virtual

Implemented in pappso::spectree::SpecXtractMap.

References endItemCartExtraction().

Referenced by pappso::spectree::SpecTree::xtract().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/spectree/specxtractinterface.h
- pappsomspp/core/processing/spectree/specxtractinterface.cpp